<?php
$bee5 = "simplebee5class.php";
if(file_exists($bee5)){
	require($bee5);
	$bee5vars = array();
	// Hier die Nutzungs-ID eintragen!
	$bee5vars['nid'] = "XXXXXXXXXXXXXXXX"; 
	// Splash [Ja/Nein]
	// 1 = Falls ntig wird eine Zwischenseite eingeblendet, die das Tracking auslst. 
	//     Die Zwischenseite kann im Bee5-Webmasterbereich individualisiert werden (Standard)
	// 0 = Die Zwischenseite wird unterdrckt und nicht eingeblendet 
	//     (Hinweis: dadurch ist bei einzelnen Links ein korrektes Tracking nicht mehr zu 100% garantiert)
	$bee5vars['s'] = 1; 
	// Bee5-Link [immer / nur wenn Provision mglich]
	// 1 = Ersetzt URL nur wenn ein Partnerprogramm existiert
	// 0 = Ersetzt URL IMMER (auch wenn kein Partnerprogramm vorhanden) !!!
	$bee5vars['pp'] = 1;
	// Domain-ID (14 = gotourl.de)
	$bee5vars['d'] = 14;
	// Hash-Lnge (min. 5, max. 30), falls nicht unbedingt ntig, bitte mglichst hohe Anzahl
	$bee5vars['hs'] = 30;
	$bee5 = new simplebee5($bee5vars);
}

//DEMO 1
$text = <<< eof
<html>
	<head>
		<title>SimpleBee5Class Demo</title>
	</head>
	<body>
		<h1>Partnerprogramm existiert:</h1>
		<a href="http://www.quelle.de/">Quelle</a>
		<h1>Partnerprogramm existiert nicht:</h1>
		<a href="http://www.example.net/">Example.net</a>
	</body>
</html>
eof;

print $bee5->rep($text);

//DEMO 2
$url = "http://www.quelle.de/";
$bee5url = $bee5->replace($url);
print "<hr>";
print $bee5url;

?>